MantisBT

View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0003753ATutorTests/Surveyspublic2009-05-25 04:212009-07-21 08:50
Reportergreg 
Assigned Toharris 
PrioritynormalSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Version 
Target VersionFixed in Version1.6.3 
Summary0003753: Assistants can't view group tests
DescriptionAssistants with test privileges can not see group tests.


http://www.atutor.ca/view/3/17497/1.html [^]
TagsNo tags attached.
Affects versionSVN
SVN Revision#
Attached Files

- Relationships

-  Notes
(0003566)
harris (developer)
2009-06-02 12:19

Confirmed.

include/lib/test_result_functions.inc.php

authenticate_test() <-- this function doesn't check TA privileges.
(0003568)
harris (developer)
2009-06-03 06:23

Added an assistant check as follow:


//Check assistants privileges
    $sql = "SELECT privileges FROM at_course_enrollment a WHERE member_id=$_SESSION[member_id] AND course_id=$_SESSION[course_id]";
    $result = mysql_query($sql, $db);
    if ($result){
        list($privileges) = mysql_fetch_array($result);
        if (query_bit($privileges, AT_PRIV_GROUPS) && query_bit($privileges, AT_PRIV_TESTS)){
            return TRUE;
        }

    }

svn: 8514

- Issue History
Date Modified Username Field Change
2009-05-25 04:21 greg New Issue
2009-05-25 04:21 greg Affects version => SVN
2009-06-02 12:19 harris Note Added: 0003566
2009-06-03 06:23 harris Status new => resolved
2009-06-03 06:23 harris Resolution open => fixed
2009-06-03 06:23 harris Assigned To => harris
2009-06-03 06:23 harris Note Added: 0003568
2009-06-12 09:32 greg Status resolved => new
2009-06-12 09:33 greg Status new => resolved
2009-06-12 09:33 greg Fixed in Version => 1.6.3
2009-07-21 08:50 greg Status resolved => closed


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker